<?php
/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2018 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/

function single_picture($input) {
	$output = cpg_db_fetch_assoc($input);
	return $output;
};

define('IN_COPPERMINE', true);

$workdir = $_POST["workdir"];
chdir($workdir);
require_once($workdir.'/plugins/sort_by_exif/load_exif.php');
require_once($workdir.'/include/init.inc.php');
require_once($workdir.'/include/config.inc.php');
require_once($workdir.'/include/functions.inc.php');
// These will be needed if we switch to getID3 toolbox
// require_once($workdir.'/plugins/sort_by_exif/lib/getID3-1.9.15/getid3/getid3.php');
// $getID3 = new getID3;
require_once($workdir.'/plugins/sort_by_exif/qt_metadata.php');
$counter = 0;
$result2 = cpg_db_query("select pid, filepath, filename from {$CONFIG['TABLE_PICTURES']} where ((sbe_exif_date is NULL) and ((sbe_source_is_exif is NULL) or (sbe_source_is_exif <> 4)))");	
while (($picture = single_picture($result2)) and ($counter < 200)) {
	$counter++;
	load_exif($picture);	
};
if ($counter == 200) {$result = 'not finished';} else {$result = 'finished';}; // Not used!
echo $result;
?>
